| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_mate_cfg_gop Struct Reference

Configuration for a MATE GOP (Group of PDUs) type, defining grouping and lifecycle rules. More...

`#include <mate.h>`

## Public Attributes
char * | name
GPtrArray * | transforms
const char * | on_pdu
AVPL * | key
AVPL * | start
AVPL * | stop
AVPL * | extra
double | expiration
double | idle_timeout
double | lifetime
bool | drop_unassigned
gop_pdu_tree_t | pdu_tree_mode
bool | show_times
GHashTable * | my_hfids
int | hfid
int | hfid_start_time
int | hfid_stop_time
int | hfid_last_time
int | hfid_gop_pdu
int | hfid_gop_num_pdus
int | ett
int | ett_attr
int | ett_times
int | ett_children

## Detailed Description

Configuration for a MATE GOP (Group of PDUs) type, defining grouping and lifecycle rules.

## Member Data Documentation

## ◆ drop_unassigned

bool _mate_cfg_gop::drop_unassigned

If true, do not display GOPs not assigned to any GOG

## ◆ ett

int _mate_cfg_gop::ett

ett index for the GOP subtree

## ◆ ett_attr

int _mate_cfg_gop::ett_attr

ett index for the GOP attributes subtree

## ◆ ett_children

int _mate_cfg_gop::ett_children

ett index for the GOP children (PDUs) subtree

## ◆ ett_times

int _mate_cfg_gop::ett_times

ett index for the GOP timing subtree

## ◆ expiration

double _mate_cfg_gop::expiration

Seconds after release before the GOP expires and is discarded

## ◆ extra

AVPL* _mate_cfg_gop::extra

AVPL of additional attributes unconditionally merged into the GOP

## ◆ hfid

int _mate_cfg_gop::hfid

Header field ID for the GOP item in the protocol tree

## ◆ hfid_gop_num_pdus

int _mate_cfg_gop::hfid_gop_num_pdus

Header field ID for the total PDU count of the GOP

## ◆ hfid_gop_pdu

int _mate_cfg_gop::hfid_gop_pdu

Header field ID for PDU reference items under the GOP

## ◆ hfid_last_time

int _mate_cfg_gop::hfid_last_time

Header field ID for the timestamp of the last PDU in the GOP

## ◆ hfid_start_time

int _mate_cfg_gop::hfid_start_time

Header field ID for the GOP start timestamp

## ◆ hfid_stop_time

int _mate_cfg_gop::hfid_stop_time

Header field ID for the GOP stop/release timestamp

## ◆ idle_timeout

double _mate_cfg_gop::idle_timeout

Seconds of inactivity before an unreleased GOP is timed out

## ◆ key

AVPL* _mate_cfg_gop::key

AVPL defining the attributes that form the GOP's correlation key

## ◆ lifetime

double _mate_cfg_gop::lifetime

Maximum lifetime in seconds for a GOP regardless of release

## ◆ my_hfids

GHashTable* _mate_cfg_gop::my_hfids

Hash table of hfid→field_name mappings for field registration

## ◆ name

char* _mate_cfg_gop::name

Unique name identifying this GOP configuration

## ◆ on_pdu

const char* _mate_cfg_gop::on_pdu

Name of the mate_cfg_pdu type that feeds into this GOP

## ◆ pdu_tree_mode

gop_pdu_tree_t _mate_cfg_gop::pdu_tree_mode

Controls how PDU children are shown under the GOP tree node

## ◆ show_times

bool _mate_cfg_gop::show_times

If true, display GOP timing fields in the protocol tree

## ◆ start

AVPL* _mate_cfg_gop::start

AVPL whose match marks the first PDU as the GOP's start PDU

## ◆ stop

AVPL* _mate_cfg_gop::stop

AVPL whose match marks a PDU as the GOP's stop PDU

## ◆ transforms

GPtrArray* _mate_cfg_gop::transforms

Ordered list of AVPL transformations applied to the GOP's AVPL

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/plugins/epan/mate/mate.h